require 'fastlane/action'
require_relative '../helper/open_finder_helper'

module Fastlane
  module Actions
    class OpenFinderAction < Action
      def self.run(params)
        path = params[:path]
        system("open #{path}")

        ::Fastlane::Helper::OpenFinderHelper.show_message
      end

      def self.description
        "this is tool for mac os x to open finder"
      end

      def self.authors
        ["xiongzenghui"]
      end

      def self.return_value
        # If your method provides a return value, you can describe here what it does
      end

      def self.details
        "this is tool for mac os x to open finder"
      end

      def self.available_options
        [
          FastlaneCore::ConfigItem.new(
            key: :path,
            description: "传入一个 open 打开的路径",
            type: String
          )
        ]
      end

      def self.is_supported?(platform)
        true
      end
    end
  end
end
